var angular = require('angular');
require('../modules');

var module = angular.module('flowmodulebase.filters');

module.config(function($filterProvider) {
  $filterProvider.register('subflagfilter', function() {
    return function(subflag) {
      return subflag === '0' ? '草稿状态' :
        (subflag === '1'? '流程中' :
          (subflag === '2' ? '流程结束' :
            (subflag === '5' ? '撤办' :
              (subflag === '11' ? '收回重办' :
                (subflag === '7' ? '手工录入' :
                  (subflag === '8' ? '手工只读' : ''))))));
    }
  });
});
